## netdde 0.0.20120520

=== Makefile ===
PKGDIR        ?= /usr/share/libdde_linux26
L4DIR         ?= $(PKGDIR)

include Makeconf.local

TARGET         = netdde

SRC_C          = main.c check_kernel.c

LIBS          += $(libmachdev_path) -ldde_linux26.o -ldde_linux26_net $(libddekit_path) -lfshelp -ltrivfs -lpciaccess -lz -lthreads -lshouldbeinlibc -lports $(libslab_path) $(libbpf_path)
CFLAGS        += -g -I$(PKGDIR)/include -I$(BUILDDIR)/include
LDFLAGS       += -g

# DDE configuration
include $(L4DIR)/Makeconf

include $(L4DIR)/mk/prog.mk

VERSION=2.6.29.6

SRC=linux-$(VERSION)/drivers/net

# TODO: should take driver order from Linux
BLACKLIST = \
	    This is a dumb driver \
	    $(SRC)/pci-skeleton.c \
	    These dont build at all \
	    \
	    $(SRC)/netx-eth.c $(SRC)/smc911x.c $(wildcard $(SRC)/irda/*) \
	    $(wildcard $(SRC)/arm/*.c) $(SRC)/bfin_mac.c \
	    $(SRC)/declance.c $(wildcard $(SRC)/ehea/*) $(wildcard $(SRC)/*82596.c) \
	    $(wildcard $(SRC)/atlx/*) $(SRC)/pasemi_mac_ethtool.c \
	    $(wildcard $(SRC)/wireless/*) $(wildcard $(SRC)/wireless/*/*) \
	    $(SRC)/apne.c \
	    $(SRC)/sunbmac.c $(SRC)/sunqe.c $(SRC)/myri_sbus.c $(SRC)/sunlance.c $(SRC)/sunhme.c \
	    $(SRC)/sungem_phy.c $(SRC)/sungem.c $(SRC)/mace.c $(SRC)/bmac.c $(SRC)/sunvnet.c \
	    $(SRC)/gianfar_mii.c $(SRC)/gianfar.c $(SRC)/fec_mpc52xx_phy.c $(SRC)/ucc_geth_mii.c \
	    $(wildcard $(SRC)/fs_e$(SRC)/*) \
	    $(wildcard $(SRC)/sun3*) \
	    $(SRC)/au1000_eth.c \
	    $(SRC)/s2io.c $(SRC)/sonic.c \
	    $(wildcard $(SRC)/wimax/i2400m/*) \
	    $(wildcard $(SRC)/ibm_newemac/*) \
	    $(wildcard $(SRC)/hamradio/*) \
	    $(wildcard $(SRC)/usb/*) \
	    $(wildcard $(SRC)/sfc/*) \
	    $(wildcard $(SRC)/appletalk/*) \
	    $(wildcard $(SRC)/pcmcia/*) \
	    $(wildcard $(SRC)/tokenring/*) \
	    $(wildcard $(SRC)/wan/*) \
	    $(wildcard $(SRC)/wan/*/*) \
	    $(wildcard $(SRC)/cris/*) \
	    $(wildcard $(SRC)/fs_enet/*) \
	    $(wildcard $(SRC)/arcnet/*) \
	    $(wildcard $(SRC)/benet/*) \
	    $(wildcard $(SRC)/arc$(SRC)/*) \
	    $(SRC)/mv643xx_eth.c $(SRC)/pasemi_mac.c $(SRC)/ibmveth.c \
	    $(wildcard $(SRC)/ps3*) \
	    $(SRC)/iseries_veth.c $(SRC)/cpmac.c $(SRC)/ixgbe/ixgbe_dcb_nl.c \
	    $(wildcard $(SRC)/ucc_geth*) \
	    $(wildcard $(SRC)/mlx4/*) \
	    $(wildcard $(SRC)/bonding/*) \
	    $(SRC)/ariadne.c $(SRC)/a2065.c $(SRC)/zorro8390.c $(SRC)/hydra.c \
	    $(SRC)/macmace.c $(SRC)/dm9000.c $(SRC)/ax88796.c $(SRC)/rionet.c $(SRC)/sgiseeq.c \
	    $(SRC)/ioc3-eth.c $(SRC)/fec_mpc52xx.c $(SRC)/hplance.c $(SRC)/atarilance.c \
	    $(SRC)/macsonic.c $(SRC)/xen-netfront.c $(SRC)/jazzsonic.c $(SRC)/mac89x0.c \
	    $(wildcard $(SRC)/ixp2000/*) \
	    $(wildcard $(SRC)/skfp/*) \
	    $(SRC)/mac8390.c $(SRC)/isa-skeleton.c $(SRC)/sh_eth.c $(SRC)/spider_net.c \
	    $(SRC)/phy/fixed.c $(SRC)/stnic.c $(SRC)/mvme147.c $(SRC)/meth.c $(SRC)/macb.c \
	    $(SRC)/korina.c $(SRC)/b44.c $(SRC)/sb1250-mac.c $(SRC)/fec.c $(SRC)/ne-h8300.c \
	    $(SRC)/mipsnet.c $(SRC)/tsi108_eth.c \
	    \
	    These are missing some symbols e.g. tasklet_kill \
	    \
	    $(SRC)/ifb.c $(SRC)/niu.c $(SRC)/cxgb3/cxgb3_offload.c $(SRC)/cxgb3/sge.c \
	    $(SRC)/rrunner.c $(SRC)/sundance.c $(SRC)/ppp_synctty.c $(SRC)/ppp_async.c \
	    $(SRC)/macvlan.c $(SRC)/tun.c $(SRC)/smc91x.c \
	    $(wildcard $(SRC)/enic/*) \
	    $(wildcard $(SRC)/ixgbe/*) \
	    $(SRC)/pppox.c $(SRC)/3c59x.c $(SRC)/znet.c $(SRC)/slip.c $(SRC)/netconsole.c \
	    $(SRC)/jme.c $(SRC)/pppoe.c $(SRC)/pppol2tp.c $(SRC)/veth.c $(SRC)/ppp_deflate.c \
	    $(SRC)/defxx.c \
	    $(wildcard $(SRC)/myri10ge/*) \
	    $(SRC)/acenic.c $(SRC)/fealnx.c $(SRC)/ppp_generic.c $(SRC)/via-rhine.c \
	    $(SRC)/ppp_mppe.c $(SRC)/plip.c $(SRC)/bnx2x_main.c $(SRC)/tulip/winbond-840.c \
	    $(SRC)/amd8111e.c \
	    $(wildcard $(SRC)/igb/*) \
	    $(SRC)/chelsio/sge.c $(SRC)/chelsio/subr.c $(SRC)/chelsio/cxgb2.c \
	    $(SRC)/bnx2.c $(SRC)/tc35815.c \
	    $(wildcard $(SRC)/be$(SRC)/*) \
	    $(wildcard $(SRC)/cxgb3/*) \
	    $(SRC)/ne3210.c $(SRC)/enc28j60.c $(SRC)/r8169.c $(SRC)/xtsonic.c $(SRC)/virtio_net.c \
	    $(SRC)/dl2k.c $(SRC)/smsc911x.c $(SRC)/ibmlana.c $(SRC)/sis190.c $(SRC)/bsd_comp.c \
	    \
	    These are missing some symbols which should be there already \
	    \
	    $(wildcard $(SRC)/tulip/*)

NO_BUILD = dde/lib8390.c

SRC_ORIG := $(filter-out $(BLACKLIST),$(shell find $(SRC) -name \*.c))
SRC_TARGET := $(patsubst $(SRC)/%,dde/%,$(SRC_ORIG))

SRC_C		+= $(filter-out $(NO_BUILD),$(SRC_TARGET))

.PHONY: convert
convert:
	mkdir -p dde
	for i in $(SRC_ORIG) ; do \
		TARGET="dde/$${i#$(SRC)/}" ; \
		mkdir -p "$$(dirname "$$TARGET")" ; \
		./convert "$$i" > "$$TARGET"; \
	done
	for i in $$(find $(SRC) -name \*.h) ; do \
		TARGET="dde/$${i#$(SRC)/}" ; \
		mkdir -p "$$(dirname "$$TARGET")" ; \
		ln -f "$$i" "$$TARGET" ; \
	done
	cd dde ; patch -p1 < ../patch

klean: clean
	rm -fr dde

=== debian/changelog ===
netdde (0.0.20120520-2) unstable; urgency=low

  * control: Make netdde-udeb provide nic-modules, to get pulled into d-i.
  * patches/linux-2.6.32.59: Add drivers which actually compile, via-rhine
    notably.
  * rules: Add driver_list to record which drivers are compiled in.
  * docs: Install driver_list.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Jun 2012 23:09:39 +0000

netdde (0.0.20120520-1) unstable; urgency=low

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 May 2012 16:23:11 +0000

netdde (0.0.20120518-1) unstable; urgency=low

  * New upstream snapshot.
  * copyright: Fix syntax.
  * rules: Strip netdde-udeb.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 May 2012 01:13:15 +0000

netdde (0.0.20120417-1) unstable; urgency=low

  * Initial release (Closes: Bug#661291).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 23:48:10 +0000

=== debian/control ===
Source: netdde
Section: kernel
Priority: required
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
 Neal H. Walfield <neal@debian.org>, Michael Banck <mbanck@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), hurd-dev (>= 20120222-1~), libpciaccess-dev, zlib1g-dev
Homepage: http://www.gnu.org/software/hurd/hurd.html
Vcs-Browser: http://git.debian.org/?p=pkg-hurd/netdde.git
Vcs-Git: git://git.debian.org/pkg-hurd/netdde.git

Package: netdde
Depends: hurd (>= 20120219-1), ${misc:Depends}, ${shlibs:Depends}
Architecture: hurd-any
Description: Linux network drivers glued by the DDE layer
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.

Package: netdde-udeb
Section: debian-installer
Depends: hurd-udeb (>= 20120219-1), ${misc:Depends}, ${shlibs:Depends}
Provides: nic-modules
Architecture: hurd-any
XC-Package-Type: udeb
Description: Linux network drivers glued by the DDE layer - udeb
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.  This is for the Debian installer.

Package: netdde-dbg
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, netdde (= ${binary:Version})
Architecture: hurd-any
Description: Linux network drivers glued by the DDE layer - debugging symbols
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.  This contains the debugging symbols

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	$(MAKE) convert
	$(MAKE)
	ls dde/*.o | sed -e 's_^dde/__' > driver_list

override_dh_auto_clean:
	$(MAKE) klean cleanall
	rm -f driver_list

override_dh_auto_test:

override_dh_strip:
	dh_strip -pnetdde --dbg-package=netdde-dbg
	dh_strip -pnetdde-udeb

## netdde 0.0.20150828

=== Makefile ===
PKGDIR        ?= /usr/share/libdde_linux26
L4DIR         ?= $(PKGDIR)

include Makeconf.local

TARGET         = netdde

SRC_C          = main.c check_kernel.c

LIBS          += $(libmachdev_path) -ldde_linux26.o -ldde_linux26_net $(libddekit_path) -lfshelp -ltrivfs -lpciaccess -lz -lpthread -lshouldbeinlibc -lports $(libslab_path) $(libbpf_path)
CFLAGS        += -g -I$(PKGDIR)/include -I$(BUILDDIR)/include
LDFLAGS       += -g

CFLAGS += -DCONFIG_B44_PCI -DCONFIG_8139TOO_8129

# DDE configuration
include $(L4DIR)/Makeconf

include $(L4DIR)/mk/prog.mk

SRC=linux/drivers/net

# TODO: should take driver order from Linux
BLACKLIST = \
	    This is a dumb driver \
	    $(SRC)/pci-skeleton.c \
	    \
	    These dont build at all \
	    \
	    $(SRC)/netx-eth.c $(SRC)/smc911x.c $(wildcard $(SRC)/irda/*) \
	    $(wildcard $(SRC)/arm/*.c) $(SRC)/bfin_mac.c $(SRC)/s6gmac.c \
	    $(SRC)/declance.c $(wildcard $(SRC)/ehea/*) $(wildcard $(SRC)/*82596.c) \
	    $(SRC)/atlx/atl1.c $(SRC)/atlx/atlx.c $(SRC)/xilinx_emaclite.c $(wildcard $(SRC)/ll_temac_*.c) \
	    $(SRC)/davinci_emac.c $(SRC)/pasemi_mac_ethtool.c \
	    $(wildcard $(SRC)/wireless/*) $(wildcard $(SRC)/wireless/*/*) $(wildcard $(SRC)/wireless/*/*/*) \
	    $(SRC)/apne.c \
	    $(SRC)/sunbmac.c $(SRC)/sunqe.c $(SRC)/myri_sbus.c $(SRC)/sunlance.c $(SRC)/sunhme.c \
	    $(SRC)/sungem_phy.c $(SRC)/sungem.c $(SRC)/mace.c $(SRC)/bmac.c $(SRC)/sunvnet.c \
	    $(SRC)/gianfar_mii.c $(SRC)/gianfar.c $(SRC)/fec_mpc52xx_phy.c $(SRC)/ucc_geth_mii.c \
	    $(wildcard $(SRC)/fs_e$(SRC)/*) \
	    $(wildcard $(SRC)/sun3*) \
	    $(SRC)/au1000_eth.c \
	    $(SRC)/s2io.c $(SRC)/sonic.c \
	    $(SRC)/cnic.c \
	    $(wildcard $(SRC)/wimax/i2400m/*) \
	    $(wildcard $(SRC)/ibm_newemac/*) \
	    $(wildcard $(SRC)/stmmac/*) \
	    $(wildcard $(SRC)/hamradio/*) \
	    $(wildcard $(SRC)/usb/*) \
	    $(wildcard $(SRC)/sfc/*) \
	    $(wildcard $(SRC)/appletalk/*) \
	    $(wildcard $(SRC)/pcmcia/*) \
	    $(wildcard $(SRC)/tokenring/*) \
	    $(wildcard $(SRC)/wan/*) \
	    $(wildcard $(SRC)/wan/*/*) \
	    $(wildcard $(SRC)/can/*) \
	    $(wildcard $(SRC)/can/*/*) \
	    $(wildcard $(SRC)/cris/*) \
	    $(wildcard $(SRC)/fs_enet/*) \
	    $(wildcard $(SRC)/arcnet/*) \
	    $(wildcard $(SRC)/benet/*) \
	    $(wildcard $(SRC)/arc$(SRC)/*) \
	    $(SRC)/mv643xx_eth.c $(SRC)/pasemi_mac.c $(SRC)/ibmveth.c \
	    $(wildcard $(SRC)/ps3*) \
	    $(SRC)/iseries_veth.c $(SRC)/cpmac.c $(SRC)/ixgbe/ixgbe_dcb_nl.c \
	    $(wildcard $(SRC)/ucc_geth*) \
	    $(wildcard $(SRC)/mlx4/*) \
	    $(wildcard $(SRC)/bonding/*) \
	    $(SRC)/ariadne.c $(SRC)/a2065.c $(SRC)/zorro8390.c $(SRC)/hydra.c \
	    $(SRC)/macmace.c $(SRC)/dm9000.c $(SRC)/ax88796.c $(SRC)/rionet.c $(SRC)/sgiseeq.c \
	    $(SRC)/ioc3-eth.c $(SRC)/fec_mpc52xx.c $(SRC)/hplance.c $(SRC)/atarilance.c \
	    $(SRC)/macsonic.c $(SRC)/xen-netfront.c $(SRC)/jazzsonic.c $(SRC)/mac89x0.c \
	    $(wildcard $(SRC)/ixp2000/*) \
	    $(wildcard $(SRC)/skfp/*) \
	    $(SRC)/mac8390.c $(SRC)/isa-skeleton.c $(SRC)/sh_eth.c $(SRC)/spider_net.c \
	    $(SRC)/phy/fixed.c $(SRC)/stnic.c $(SRC)/mvme147.c $(SRC)/meth.c $(SRC)/macb.c \
	    $(SRC)/korina.c $(SRC)/b44.c $(SRC)/sb1250-mac.c $(SRC)/fec.c $(SRC)/ne-h8300.c \
	    $(SRC)/mipsnet.c $(SRC)/tsi108_eth.c \
	    $(SRC)/fsl_pq_mdio.c \
	    $(SRC)/bcm63xx_enet.c \
	    \
	    $(wildcard $(SRC)/cxgb3/*) \
	    $(SRC)/ifb.c \
	    $(wildcard $(SRC)/igb/*) \
	    $(wildcard $(SRC)/ixgbe/*) \
	    $(SRC)/macvlan.c $(SRC)/niu.c \
	    $(SRC)/smsc911x.c \
	    $(SRC)/tulip/dmfe.c \
	    $(wildcard $(SRC)/vxge/*) \
	    $(SRC)/xtsonic.c \
	    \
	    These are not usedful \
	    \
	    $(SRC)/loopback.c \
	    $(SRC)/eql.c \
	    $(SRC)/ppp_generic.c $(SRC)/ppp_mppe.c $(SRC)/plip.c \
	    $(SRC)/ppp_synctty.c $(SRC)/ppp_async.c $(SRC)/bsd_comp.c \
	    $(SRC)/pppox.c $(SRC)/pppoe.c $(SRC)/pppol2tp.c $(SRC)/ppp_deflate.c \
	    $(SRC)/tun.c \
	    $(SRC)/slip.c $(SRC)/netconsole.c \
	    $(SRC)/veth.c $(SRC)/virtio_net.c \
	    \
	    These are missing some symbols \
	    \
	    missing zlib_* crc32c \
	    $(wildcard $(SRC)/bnx2x_*.c) \
	    missing ktime_get_ts \
	    $(SRC)/chelsio/sge.c \
	    $(SRC)/chelsio/subr.c \
	    $(SRC)/chelsio/cxgb2.c \
	    missing alloc_fddidev fddi_type_trans \
	    $(SRC)/defxx.c \
	    missing spi_sync spi_write_then_read spi_register_driver \
	    $(SRC)/enc28j60.c \
	    missing lro_* \
	    $(wildcard $(SRC)/enic/*) \
	    missing mca_* \
	    $(SRC)/ibmlana.c \
	    missing spi_sync spi_register_driver  \
	    $(SRC)/ks8851.c \
	    $(SRC)/ks8842.c \
	    missing __iowrite64_copy lro_* mtrr_add ioremap_wc mtrr_del \
	    $(wildcard $(SRC)/myri10ge/*) \
	    missing high_memory \
	    $(SRC)/ne3210.c \
	    missing *hippi* \
	    $(SRC)/rrunner.c \
	    missing readsl/w writesl/w \
	    $(SRC)/smc91x.c \

# This one is included by others, don't build it by itself!
NO_BUILD = dde/lib8390.c

SRC_ORIG := $(filter-out $(BLACKLIST),$(shell find $(SRC) -name \*.c))
SRC_TARGET := $(patsubst $(SRC)/%,dde/%,$(SRC_ORIG))

SRC_C		+= $(filter-out $(NO_BUILD),$(SRC_TARGET))

.PHONY: convert
convert:
	mkdir -p dde
	for i in $(SRC_ORIG) ; do \
		TARGET="dde/$${i#$(SRC)/}" ; \
		mkdir -p "$$(dirname "$$TARGET")" ; \
		./convert "$$i" > "$$TARGET"; \
	done
	for i in $$(find $(SRC) -name \*.h) ; do \
		TARGET="dde/$${i#$(SRC)/}" ; \
		mkdir -p "$$(dirname "$$TARGET")" ; \
		ln -f "$$i" "$$TARGET" ; \
	done
	cd dde ; patch -p1 < ../patch

klean: clean
	rm -fr dde

## netdde 0.0.20200330

=== debian/changelog ===
netdde (0.0.20200330-12+bin.1) unreleased; urgency=medium

  * No-change upload: Rebuild against libc with 64b mig change workaround.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Jun 2025 19:57:36 +0000

netdde (0.0.20200330-12) unreleased; urgency=medium

  * control: Make Multi-Arch: foreign.
  * control: Make netdde-dbg priority: optional.
  * patches/csum: Fix getting ipv6 checksum function.
  * patches/64: Add 64bit linker script.
  * rules: Pass ARCH to dde makefiles.
  * rules: Make netdde non-pie.
  * control: Drop elder hurd/gnumach dependencies.
  * patches/pthread_exit: Fix missing declaration of pthread_exit.
  * control: Make netdde essential.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2024 17:04:37 +0000

netdde (0.0.20200330-11) unreleased; urgency=medium

  * patches/link: Update link script, fixes build with glibc 2.33.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 23:26:26 +0000

netdde (0.0.20200330-10) unreleased; urgency=medium

  * Rebuild with fixed libmachdev, no source change.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Apr 2021 19:34:29 +0000

netdde (0.0.20200330-9) unreleased; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * rules: Drop -fno-common, this is now the default with gcc ≥ 10. And this
    was dropping the -g option for debugging symbols.
  * patches/static: Fix static linking.
  * rules: Build netdde.static.
  * netdde.install: Install netdde.static.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Apr 2021 22:44:49 +0000

netdde (0.0.20200330-8) unreleased; urgency=medium

  * patches/libmachdev: Update to new libmachdev trivfs initialization.
    - control: Update hurd-libs0.3 dependency accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Apr 2021 16:55:17 +0000

netdde (0.0.20200330-7) unreleased; urgency=medium

  * patches/libmachdev: Update to new libmachdev thread initialization.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Mar 2021 02:33:19 +0000

netdde (0.0.20200330-6) unreleased; urgency=medium

  * patches/libmachdev: Update to new libmachdev initialization API.
    - control: Update hurd-libs0.3 dependency accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Nov 2020 22:44:30 +0000

netdde (0.0.20200330-5) unreleased; urgency=medium

  * copyright: Drop content of MPL licence.
  * copyright: Use https URL for Format.
  * control: Drop Priority: extra.
  * control: Bump Standards-Version to 4.5.0.
  * control: Bump debhelper compat to 12.
  * patches/libmachdev: Update to new libmachdev initialization API.
    - control: Update hurd-libs0.3 dependency accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 30 Sep 2020 20:36:36 +0000

netdde (0.0.20200330-4) unreleased; urgency=medium

  * Rebuild with new userland driver RPCs.
  * control: make netdde Depend on gnumach kernel with new userland driver
    RPCs.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Jul 2020 20:07:43 +0000

netdde (0.0.20200330-3) unreleased; urgency=medium

  * Rebuild with gcc building for i686, no source change.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 May 2020 10:22:58 +0000

netdde (0.0.20200330-2) unreleased; urgency=medium

  * patches/smc-mca: Fix build with -fno-common (will be the default with
    gcc-10).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 17:29:18 +0000

netdde (0.0.20200330-1) unreleased; urgency=medium

  * New upstream snapshot.
    - patches/sort: Upstreamed.
    - patches.no-atp: Upstreamed.
  * rules: Rely on pre-initialized dpkg-architecture variables.
  * control: Bump dependency on hurd-libs0.3.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Mar 2020 00:24:59 +0000

netdde (0.0.20150828-8) unreleased; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * patches/no-atp: Disable atp driver.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Nov 2019 19:52:55 +0000

netdde (0.0.20150828-7) unreleased; urgency=medium

  * Upload to unreleased.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Jul 2019 07:41:21 +0000

netdde (0.0.20150828-5) unstable; urgency=medium

  * Use https URL

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 18:01:52 +0200

netdde (0.0.20150828-4) unstable; urgency=medium

  * Fix getting cross-CC.
  * Build-Depend on virtual package libdde-linux26-dev so as to require an
    unstage hurd-dev package.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2016 23:20:11 +0000

netdde (0.0.20150828-3) unstable; urgency=medium

  * rules: Fix cross-build.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Feb 2016 13:07:46 +0000

netdde (0.0.20150828-2) unstable; urgency=medium

  * Make sure to sort input files so we have a deterministic build order.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Aug 2015 18:02:57 +0000

netdde (0.0.20150828-1) unstable; urgency=medium

  * Integrate upstream update to 2.6.32.65.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Aug 2015 18:57:49 +0000

netdde (0.0.20150208-1) unstable; urgency=medium

  * Update to Linux 2.6.32.65.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Feb 2015 21:43:22 +0000

netdde (0.0.20121127-3) unstable; urgency=low

  [ Samuel Thibault ]
  * Recurse into directories to list driver files.
  * Add overrides for non-standard /hurd directory.

  [ Pino Toscano ]
  * control: Remove Neal and Jeff from uploaders (mirror the same change done
    in hurd 20130727-1).
  * control: make netdde-dbg recommend hurd-dbg.
  * control: update Vcs-* headers.
  * control: use Package-Type instead of XC-Package-Type.
  * Rename docs to netdde.docs to make it more clear it refers to netdde.
  * Remove hardcoded hurd{,-udeb} dependencies from netdde{,-udeb}, as the
    generated shlibdeps are fine now.
  * Remove unused ${shlibs:Depends} from netdde-dbg.
  * Bump Standards-Version to 3.9.4, no changes required.



=== debian/control ===
Source: netdde
Section: kernel
Priority: required
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 12), libdde-linux26-dev | hurd-dev (>= 1:0.9.git20200718-1), libdde-linux26-dev, libpciaccess-dev, zlib1g-dev
Rules-Requires-Root: no
Homepage: http://www.gnu.org/software/hurd/hurd.html
Vcs-Browser: https://salsa.debian.org/hurd-team/netdde
Vcs-Git: https://salsa.debian.org/hurd-team/netdde.git

Package: netdde
Essential: yes
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: hurd-any
Multi-Arch: foreign
Description: Linux network drivers glued by the DDE layer
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.

Package: netdde-udeb
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: nic-modules
Architecture: hurd-any
Package-Type: udeb
Description: Linux network drivers glued by the DDE layer - udeb
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.  This is for the Debian installer.

Package: netdde-dbg
Section: debug
Priority: optional
Depends: ${misc:Depends}, netdde (= ${binary:Version})
Recommends: hurd-dbg
Architecture: hurd-any
Multi-Arch: same
Description: Linux network drivers glued by the DDE layer - debugging symbols
 Linux 2.6 network drivers embedded in userland processes thanks to the DDE
 layer.  This contains the debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=-pie

ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

ifeq ($(DEB_HOST_ARCH_CPU),amd64)
  ARCH = amd64
else
  ARCH = x86
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) convert
	rm -f Makefile.inc
	$(MAKE) ARCH=$(ARCH) CC=$(CC) LINK_PROGRAM=$(CC)
	rm -f Makefile.inc
	$(MAKE) ARCH=$(ARCH) TARGET=netdde.static CC=$(CC) LINK_PROGRAM="$(CC) -static"
	find dde -name \*.o | sed -e 's_^dde/__' > driver_list

override_dh_auto_clean:
	$(MAKE) klean cleanall
	rm -f driver_list
	rm -f netdde.static

override_dh_auto_test:

override_dh_strip:
	dh_strip -pnetdde --dbg-package=netdde-dbg
	dh_strip -pnetdde-udeb
